package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag203;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT203Creator;

/**
 * @author huangmengyuan
 * @create 2023/2/27
 */
public class Tag30Creator extends AbsTagCreate {
    private MT203Creator mt203Creator;

    public Tag30Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt203Creator = (MT203Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag30Value = mt203Creator.getValueDate();
        mt203Creator.set("30",tag30Value);
    }

}
